/* LangVersions.java

   An example of using JAXP Transformers

   usage: java LangVersions [options] doc.xml

   options: any sequence of switches
	-de		(apply de-verses.xslt)
	-en		(apply en-verses.xslt)
	-fi		(apply fi-verses.xslt)
	-fr		(apply fr-verses.xslt)
	-ja		(apply ja-verses.xslt)
	-la		(apply la-verses.xslt)
	-sv		(apply sv-verses.xslt)	
 

 FILES: 
  - name of the input document as the last command line argument

  P. Kilpelinen, 2006

*/

import java.io.*;

// JAXP packages:
import javax.xml.parsers.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import javax.xml.transform.dom.*;
import org.xml.sax.*;

import org.w3c.dom.*;


public class LangVersions {


 static final String appName = "LangVersions";

private static void usage(String appName) {
  System.err.println("Usage: " + appName + " (-de | -en | -fi | -fr | -ja | -la | -sv)+ file.xml");
  System.exit(1);
}


public static Document loadDoc(File file)  throws Exception {
  DocumentBuilderFactory dbf;
  DocumentBuilder builder;
  Document doc;

 dbf = DocumentBuilderFactory.newInstance();
 dbf.setIgnoringElementContentWhitespace(true);

  // Create a DocumentBuilder using the DocumentBuilderFactory:
  builder = null;
  try {
    builder = dbf.newDocumentBuilder();
  } catch (ParserConfigurationException pce) {
    System.err.println(pce);
    System.exit(1);
  }

  // Parse the input file
  try {
    doc = builder.parse(file);
    return doc;
  } catch (SAXException se) {
    System.err.println(se.getMessage());
    System.exit(1);
  } catch (IOException ioe) {
    System.err.println(ioe);
    System.exit(1);
  }
  return null;
}

public static void main(String args[])  throws Exception {

  if (args.length < 2) usage(appName);

   String fileName = args[args.length - 1];

   File docFile = new File(fileName);

   Document doc = loadDoc(docFile);

   TransformerFactory tFact = TransformerFactory.newInstance();


  Transformer 	deTransf = null, 
		enTransf = null, 
		fiTransf = null, 
		frTransf = null, 
		jaTransf = null, 
		laTransf = null, 
		svTransf = null; 
    

  for (int i = 0; i < args.length - 1; i++) {

    if (args[i].equals("-de")) {

	
	/* Transform Document doc to System.out by a Transformer built from 
   	stylesheet file "de-verses.xslt" */

    } else if (args[i].equals("-en")) {

	/* Like above, but now use stylesheet "en-verses.xslt", and so on ...
           Implement at least a couple of switches */


    } else {
	System.err.println("Switch " + args[i] + " not recognized");
    };

  } // for
  

} // main() method



}  
